com.holonplatform.core.i18n

## Interface Localization

- All Superinterfaces:
    Serializable

      public interface Localization
      extends Serializable

  Localization informations to be used with `LocalizationContext` to provide `Locale` and optional settings for numbers and dates format.

  This interface supports hierarchical localizations through `getParent()`, allowing fallback behaviours when some localization data is not available for given Locale.

  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Localization.Builder` Builder to create `Localization` instances

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Localization.Builder` | `builder(Locale locale)` Builder to create `Localization` instances
    `Optional<TemporalFormat>` | `getDefaultDateTemporalFormat()` Default dates format style to use when `TemporalFormat.DEFAULT` is specified.
    `Optional<Integer>` | `getDefaultDecimalPositions()` Default decimal position for decimal numbers format
    `Optional<TemporalFormat>` | `getDefaultTimeTemporalFormat()` Default times format style to use when `TemporalFormat.DEFAULT` is specified.
    `Locale` | `getLocale()` Locale to which this localization informations refer
    `Optional<Localization>` | `getParent()` Optional parent Localization for fallback behaviours

- - ### Method Detail

    - #### getLocale

          Locale getLocale()

      Locale to which this localization informations refer
      Returns:
        Locale (must be not null)

    - #### getParent

          Optional<Localization> getParent()

      Optional parent Localization for fallback behaviours
      Returns:
        Parent Localization

    - #### getDefaultDecimalPositions

          Optional<Integer> getDefaultDecimalPositions()

      Default decimal position for decimal numbers format
      Returns:
        Default decimal positions, or an empty Optional to use `Locale`'s default

    - #### getDefaultDateTemporalFormat

          Optional<TemporalFormat> getDefaultDateTemporalFormat()

      Default dates format style to use when `TemporalFormat.DEFAULT` is specified.
      Returns:
        Default dates format style

    - #### getDefaultTimeTemporalFormat

          Optional<TemporalFormat> getDefaultTimeTemporalFormat()

      Default times format style to use when `TemporalFormat.DEFAULT` is specified.
      Returns:
        Default times format style

    - #### builder

          static Localization.Builder builder(Locale locale)

      Builder to create `Localization` instances
      Parameters:
        `locale` - Locale bound to Localization (not null)
      Returns:
        LocalizationBuilder

Copyright © 2019 The Holon Platform. All rights reserved.